<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: observations: a List<Observation> attribute containing the list of observations to display
           insert: additionalColumns
           var used to walk through the table: 'obs' -->
    <h:outputText value="#{messages['gazelle.ordermanager.NoResultCanBeSentIfTheOrderStatusOfTheRelatedOrd']}"
                  rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER') and not(currentOrder.orderStatus.equals('CM')) and not(currentOrder.orderStatus.equals('IP'))}"
                  styleClass="help-block"/>
    <h:outputText value="#{messages['gazelle.ordermanager.YouCanUncheckTheObservationWhichMustNotBeEnclose']}"
                  rendered="#{allowUpdate and (not (managedBean.simulatedActor.keyword.equals('ANALYZER'))  or currentOrder.orderStatus.equals('CM') or currentOrder.orderStatus.equals('IP'))}"
                  styleClass="help-block"/>
    <rich:dataTable value="#{observations}" var="obs" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    id="allObservationsTable"
                    render="ds">
        <g:column rendered="#{allowUpdate}" >
            <h:selectBooleanCheckbox value="#{obs.includeInMessage}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.SetID_2']}</ui:define>
                <h:outputText value="#{obs.setId}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.IdentifiersubID']}</ui:define>
            <h:outputText value="#{obs.identifier}"/>
            <h:outputText value=" (#{obs.subID})" rendered="#{not empty obs.subID}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.ObservationValue']}</ui:define>
            <h:outputText value="#{obs.value}"/>
            <h:outputText value=" #{obs.units}" rendered="#{not empty obs.units}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.ResultStatus']}</ui:define>
            <h:outputText value="#{obs.resultStatus}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.LastChanged']}</ui:define>
            <g:date value="#{obs.lastChanged}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
            <h:outputText value="#{obs.creator}"/>
        </g:column>
        <ui:insert name="additionalColumns"/>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="allObservationsTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
